/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomHTMLLegendElement_H___INT_
#define __GdomHTMLLegendElement_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomHTMLElement.h"
#include "GDOMObject.h"
#include "HTMLLegendElement.h"
G_BEGIN_DECLS
class GDOMHTMLLegendElement : public GDOMHTMLElement {
    typedef GDOMHTMLElement Base;
public:
    int get_gobj_type() { return GDOM_TYPE_HTML_LEGEND_ELEMENT; }
    GDOMHTMLLegendElement(PassRefPtr<WebCore::HTMLLegendElement> impl);
};
G_END_DECLS

#endif /* __GdomHTMLLegendElement_H___INT_*/
